#
# spec file for package busybox (Version 1.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dietlibc diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           busybox
BuildRequires:  dietlibc
URL:            http://www.busybox.net/
Version:        1.1.0
Release:        13.2
Summary:        The Swiss Army Knife of Embedded Linux
License:        GPL
Group:          System/Base
Autoreqprov:    on
Source:         http://busybox.net/downloads/busybox-1.1.0.tar.bz2
Source2:        busybox-1.1.0-SuSE.config
Patch1:         busybox-1.1.0-install.patch
Patch2:         busybox-1.1.0-compiler-fixes.diff
Patch3:         busybox-1.1.0-amd64-hack.patch
Patch4:         busybox-1.1.0-strictaliasing.diff
Patch11:        char_warnings1.diff
Patch12:        char_warnings2.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BusyBox combines tiny versions of many common UNIX utilities into a
small single executable. It provides minimalist replacements for most
of the utilities usually found in fileutils, shellutils, findutils,
textutils, grep, gzip, tar, and more. BusyBox provides a fairly
complete POSIX environment for any small or embedded system. The
utilities in BusyBox generally have fewer options than their
full-featured GNU cousins. The options that are included provide the
expected functionality and behave very much like their GNU
counterparts.



Authors:
--------
    Erik B. Andersen <andersee@debian.org>

%debug_package
%prep
%setup -q -n busybox-1.1.0
%patch11
%patch12
%patch1
%patch2 -p2
%patch3
%patch4 -p1
cp -av %{S:2} .config
%ifarch ia64 x86_64
echo CONFIG_FEATURE_2_4_MODULES=n >> .config
%endif

%build
find -name CVS | xargs rm -rf
find -name .svn | xargs rm -rf
make

%install
find -name ".cvsignore" -exec rm {} \;
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/busybox
install busybox.links $RPM_BUILD_ROOT/usr/share/busybox
install applets/install.sh $RPM_BUILD_ROOT/usr/bin/busybox.install
install busybox $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT%_mandir/man1
install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT%_mandir/man1

%files
%defattr(-,root,root)
%doc docs/* testsuite
%doc %{_mandir}/man1/BusyBox.1.gz
/usr/bin/busybox
/usr/bin/busybox.install
%dir /usr/share/busybox
%config /usr/share/busybox/busybox.links

%changelog -n busybox
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - ihno@suse.de
- Update to busybox 1.1.0 final
* Wed Jan 11 2006 - ihno@suse.de
- update to busybox 1.1.0-pre1
* Wed Nov 16 2005 - dmueller@suse.de
- build against dietlibc unconditionally
* Thu May 12 2005 - uli@suse.de
- use dietlibc on ARM
- uclibc config file needs to be fixed
* Sat Apr 02 2005 - mmj@suse.de
- Correct function declaration
* Mon Jan 24 2005 - nashif@suse.de
- Update to 1.00 final
* Tue Aug 17 2004 - nashif@suse.de
- Update to 1.00-rc3
* Thu Aug 05 2004 - nashif@suse.de
- Update to 1.00-rc2
* Wed Jul 21 2004 - nashif@suse.de
- Update to 1.00-rc1
* Tue May 11 2004 - nashif@suse.de
- Bug #39461 - Fixes netlink vulnerability
* Tue Apr 27 2004 - mmj@suse.de
- Fix strict aliasing
* Mon Mar 01 2004 - nashif@suse.de
- Update to 1.0 pre 8
* Wed Feb 11 2004 - ro@suse.de
- hack to build it on amd64
* Tue Feb 10 2004 - schwab@suse.de
- Fix building on ia64.
* Wed Feb 04 2004 - kukuk@suse.de
- Remove wrong dietlibc requires
* Mon Feb 02 2004 - hare@suse.de
- Fixed spec file to build on all archs.
* Fri Jan 30 2004 - hare@suse.de
- Update to 1.00-pre5
- Patched dietlibc support to use a menuconfig option.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Dec 10 2003 - uli@suse.de
- build with dietlibc where available
* Mon Jun 02 2003 - nashif@suse.de
- Set Autoreqprov:  on
* Thu May 29 2003 - nashif@suse.de
- Updated with latest stable release incl. patches.
* Sat May 17 2003 - nashif@suse.de
- Removed CVS files
* Sat Nov 02 2002 - nashif@suse.de
- Update to version 0.60.5
- Unique patch names
* Mon Jun 10 2002 - nashif@suse.de
- Update to version 0.60.3
* Mon Nov 26 2001 - nashif@suse.de
- Update to version 0.60.2
- Major Changes:
  * msh was reworked
  * reworked hostname
  * Various bugfixes
* Fri Aug 24 2001 - nashif@suse.de
- Update to version 0.60.1
- This is a relatively minor bug fixing release which fixes bugs
  in the following applets, among others: msh, sed, route, syslogd,
  ifconfig, lash
- Rewrite of tftp
* Sat Aug 04 2001 - nashif@suse.de
- Update to version 0.60.0
* Fri Jul 13 2001 - nashif@suse.de
- Update to version 0.52
* Wed Apr 11 2001 - nashif@suse.de
- Update to version 0.51
* Fri Feb 09 2001 - nashif@suse.de
- Fixed sync.c to compile
* Mon Feb 05 2001 - nashif@suse.de
- Update to version 0.49
* Wed Dec 20 2000 - uli@suse.de
- disabled insmod for all archs except IA32, ARM and SH
* Tue Dec 19 2000 - nashif@suse.de
- Update to 0.48 (Fixes many bugs)
* Mon Nov 27 2000 - nashif@suse.de
- Fixed pathes in install script
* Tue Nov 07 2000 - nashif@suse.de
- Added EM_486 and OPEN_MAX fixes
* Wed Sep 27 2000 - nashif@suse.de
- Update to 0.47
- Fix nfsmount.c
* Wed Aug 30 2000 - nashif@suse.de
- Fix for axp
* Mon Aug 28 2000 - nashif@suse.de
- Update to version 0.46
* Thu Jul 06 2000 - nashif@suse.de
- Fix install script (Bug #3195)
* Tue May 23 2000 - nashif@suse.de
- Initial Release (Version 0.43)
